# Argon Fan

The below commands will setup the Argon Fan we recommend as a cooling solution.

## Setup

``` sh

DL_URL=$(curl https://git.kemonine.info/api/v1/repos/PiFrame/piframe-go/releases | jq -r '.[0].assets[] | select(.name == "fan") | .browser_download_url')
wget $DL_URL -O /usr/local/bin/pf-fan
chmod a+x /usr/local/bin/pf-fan
cat > /etc/systemd/system/argon-fan.service <<EOF
[Unit]
Description=Manage the argon fan attached to this device

[Service]
Type=simple
User=root
ExecStart=/usr/local/bin/pf-fan
TimeoutSec=15
Restart=always

[Install]
WantedBy=multi-user.target
EOF

systemctl daemon-reload
systemctl enable --now argon-fan

```
